Subject: Re: bug#30502: 26.0.91; electric-pair-mode documentation

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Feb 2018 18:21:16 +0200

> Date: Sat, 17 Feb 2018 17:07:53 +0100
> From: [email-masked] (Charles A. Roelli)
> 
> When you turn on electric-pair-mode from emacs -q, then select a
> region and type an opening delimeter like "(", the region is
> surrounded by the "(" and ")" characters, the mark is deactivated, and
> point is left after the opening delimeter.  This should be documented.
> (I searched for documentation but have not found any.)

Which part of this is undocumented?  Did you see the description of
Electric pair mode in the "Matching" node of the user manual?

> Also, this functionality requires transient-mark-mode to be on.

I don't see it.  I can turn off transient-mark-mode, and the feature
still works.  Maybe I don't understand what you mean by "this
functionality"?

Thanks.